feature manager

Discussion in 'SolidWorks' started by Jason, Feb 24, 2004.

  1. Jason

    Jason Guest

    I am looking for an easy way to sort parts within the feature manager.
    Any suggestions? I would like the parts to be alphabetized if
    possible.

    THANKS,
    Jason
     
    Jason, Feb 24, 2004
    #1
  2. I thought it could be done with a macro, but API offers only a
    PartDoc::ReorderFeature, there is no AssemblyDoc::ReorderFeature . So my
    answer is no, it cannot be done, sorry...
    You might forward this to apisupport at solidworks dot com to request an SPR
    on this...
     
    Philippe Guglielmetti, Feb 25, 2004
    #2
  3. Jason

    kenneth b Guest

    alt + drag, be careful when you let go. ;)
     
    kenneth b, Feb 25, 2004
    #3
  4. Jason

    rocheey Guest

    is it possible to change width of the feature manager with VB
    To resize horizontally: ModelDoc2.SetFeatureManagerWidth
    (this is normally shrunk to zero to make it 'disappear')

    To move splitter bar vertically:
    ModelDoc2.FeatureManagerSplitterPosition

    To make disappear: get the hwnd with FeatMgrView::GetFeatMgrViewWnd

    paste this code into code module:
    '--------------------------------------------
    Declare Function ShowWindow Lib "user32" (ByVal hwnd As Long, ByVal
    nCmdShow As Long) As Long
    Public Const SW_Hide = 0
    '-----------------------------------

    ' and call this code with "app_hWnd" being the hwnd you got from
    SW....
    x% = ShowWindow(app_hWnd, SW_Hide)
     
    rocheey, Feb 25, 2004
    #4
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.